
ChiliProject - Task # 62: Associate ChiliProject issues with Redmine issues

Status: Closed Priority: Normal
Author: Eric Davis Category: ChiliProject - Organization
Created: 2011-01-13 Assignee: Eric Davis
Updated: 2011-01-21 Due date:
Remote issue URL:
Description: We will need some way to say "ChiliProject issue #1 is Redmine.org issue #5000".  I'm thinking a custom field 

with the urls would be easiest, called "Remote issue id".  That way we can also link issues to other bug 
trackers like Debian or Rails.

Thoughts?

History
2011-01-13 11:37 pm - Holger Just
How about a slightly adapted version of https://github.com/edavis10/redmine_simple_support? That way, we could actually have real links.

2011-01-14 12:23 am - Wieland Lindenthal
+1

I think providing special fields to frequent external sources is a great idea.

2011-01-14 08:27 am - Eric Davis
I use redmine_simple_support and wouldn't recommend it for us:

* there is a bug preventing it from being set on new issues. Caused by Redmine and it's @Issue#safe_attributes@ (which will be fixed eventually)
* changes to that field are not logged into journals

If we start with a custom field, we can migrate to this plugin later. I'm going to write a migration script for myself anyways (Custom Field -> Simple 
Support urls).

2011-01-21 05:47 pm - Eric Davis
- Assignee set to Eric Davis

- Status set to Closed

I added a Remote Issue Url field that we can use.  Later on when we add a URL custom field type we can have it automatically link. (I have a prototype 
version that is almost ready)
